Variable Parameters
The text you’d like spoken. Character limit per request is 500 via the API and 1,000 in the dashboard UI.
One of mp3, mulaw, or pcm
If provided, the language must match the language spoken by the provided speaker. This can be checked in our voices documentation.
When set to true, adds pauses between words enclosed in angle brackets. The number inside the brackets specifies the pause duration in milliseconds.
Example: Hi. <200> I'd love to have a conversation with you. adds a 200ms pause. Learn more about custom pauses.
When set to true, you can specify the phonemes for a word enclosed in curly brackets.
Example: {h'El.o} World will pronounce “Hello” as expected. Learn more about custom pronunciation.
The value, if provided, must be between 4000 and 44100. Default: 22050
Comma-separated list of speed values applied to words in square brackets. Values > 1.0 speed up speech, < 1.0 slow it down.
Example: “This is [slow] and [fast]”, use “0.5, 3” to make “slow” slower and “fast” faster.
Adjusts the speed of speech. Higher than 1.0 is faster and lower than 1.0 is slower.
Example Output
event: chunk
data: {"data": "vv+t/7j/sv+8/8j/zv/U/9T/z//P/87/yv/J/8n/0//X/9r/5f/p/+//8f/y//b/8f/x//P/9v/+/wAAAAD3/+3/7v/v//X/+P/0//r/8v/r//D/8P/x/+v/7P/1//D/7//0//b/9//7//r/8//5//7/9//8/wYABwAHAAgADAAKAAEA///8//n/9P/w/+//7P/p/+L/5f/l/+D/6v/s/+//9f/r/+z/8P/u/+//8//t/+j/7//t/9//3//f/97/4P/f/+D/4P/k/+P/3v/f/9//4//p/+b/5f/l/9z/4f/p/+H/5//m/+H/8P/x/+7/9f/9//z/8//2//r/9v/w/+//8f/p/+P/4f/d/9z/2//Z/9r/3P/e/9z/4P/k/+L/4//f/9z/2f/a/9v/0v/N/8n/yf/J/8D/tv+z/7f/s/+x/7f/sv+x/8D/xP/C/8b/yv/S/9H/xf/D/8n/zv/S/8//0P/X/9D/z//X/9T/0P/L/8X/yP/S/9X/0f/L/83/1f/b/+D/2//W/9X/0P/U/9j/0P/U/9n/2v/i/+v/8v/s/9z/2f/U/8f/yP/M/8n/yf/P/9D/yf/Q/8r/xP/Q/8v/zf/T/9L/2v/Z/9z/5v/o/+j/6f/o/+b/5//o//H/+P/z//L/7//o/+T/5P/m/+3/7//v//P/6//p//P/8P/p/+X/4//j/+X/6P/l/+X/7P/o/9//5P/h/9n/2//b/93/5f/g/9r/0//L/8//yf++/7//vP+8/8H/wf/C/8H/v/+6/7T/sf+u/63/qv+t/6//q/+t/6v/p/+l/6T/pf+t/7L/r/+u/7f/vf+7/7r/vf+6/7v/u//A/83/yf/I/w=="}
event: timestamps
data: {"word_timestamps": {"words": ["Hello", "from", "Rime"], "start": [0, 0.3, 0.6], "end": [0.3, 0.6, 1.0]}}
event: done
data: {"done": true}
curl --request POST \
--url https://users.rime.ai/v1/rime-tts \
--header 'Accept: text/event-stream' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--output output.txt \
--fail \
--data '{
"text": "Hello from Rime!",
"modelId": "mistv3",
"speaker": "cove",
"lang": "eng",
"speedAlpha": 1.0
}'